Get mining rewards

/v4/data/mining/rewards

50 credits per API call

Get mining rewards (coinbase outputs) for a UTXO address. This endpoint returns all coinbase rewards received by the address when it successfully mined blocks.

Supported blockchains:

  • Bitcoin - bitcoin-mainnet / bitcoin-testnet
  • Litecoin - litecoin-mainnet / litecoin-testnet
  • Dogecoin - dogecoin-mainnet / dogecoin-testnet

To get started:

  • Provide a chain and miner address. The API will return all coinbase rewards for the address.
  • Omit filters for full history, or use one filter type: (blockFrom and/or blockTo), (timeFrom and/or timeTo), or (unixFrom and/or unixTo). You cannot mix filter types.
  • You can use from-only (e.g. blockFrom) or to-only (e.g. blockTo) or both.
  • Rewards are sorted by block number in descending order (newest first).
  • Pagination is supported via pageSize (max 500) and offset parameters.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum
required

The blockchain to work with.

Allowed:
string
required

The miner blockchain address.

integer
≥ 0

Start block number (inclusive). Use with blockTo for block range.

integer
≥ 0

End block number (inclusive). Use with blockFrom for block range.

integer
≥ 0

Start unix timestamp (seconds). Use with unixTo for time range.

integer
≥ 0

End unix timestamp (seconds). Use with unixFrom for time range.

date-time

Start time (ISO 8601). Use with timeTo for time range.

date-time

End time (ISO 8601). Use with timeFrom for time range.

integer
required
1 to 500
Defaults to 500

Number of items to return per page (required, max 500).

integer
≥ 0
Defaults to 0

The offset to obtain next page of the data.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json